libetonyek::KEYTable Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Private Types | Private Attributes | List of all members
libetonyek::KEYTable Class Reference

`#include <KEYTable.h>`

## Classes
struct | Cell

## Public Types
typedef std::deque< double > | ColumnSizes_t
typedef std::deque< double > | RowSizes_t

## Public Member Functions
| KEYTable ()
void | setSizes (const ColumnSizes_t &columnSizes, const RowSizes_t &rowSizes)
void | insertCell (unsigned column, unsigned row, const KEYObjectPtr_t &content=KEYObjectPtr_t(), unsigned columnSpan=1, unsigned rowSpan=1)
void | insertCoveredCell (unsigned column, unsigned row)
void | setGeometry (const KEYGeometryPtr_t &geometry)
void | draw (const KEYOutput &output) const

## Private Types
typedef std::deque< Cell > | Row_t
typedef std::deque< Row_t > | Table_t

## Private Attributes
Table_t | m_table
ColumnSizes_t | m_columnSizes
RowSizes_t | m_rowSizes
KEYGeometryPtr_t | m_geometry

## Member Typedef Documentation

typedef std::deque<double> libetonyek::KEYTable::ColumnSizes_t

typedef std::deque<Cell> libetonyek::KEYTable::Row_t
| private

typedef std::deque<double> libetonyek::KEYTable::RowSizes_t

typedef std::deque<Row_t> libetonyek::KEYTable::Table_t
| private

## Constructor & Destructor Documentation

libetonyek::KEYTable::KEYTable | ( |  | ) |

## Member Function Documentation

void libetonyek::KEYTable::draw | ( | const KEYOutput & | output | ) | const

void libetonyek::KEYTable::insertCell | ( | unsigned | column,
|  | unsigned | row,
|  | const KEYObjectPtr_t & | content = `KEYObjectPtr_t()`,
|  | unsigned | columnSpan = `1`,
|  | unsigned | rowSpan = `1`
| ) |  |

Referenced by libetonyek::KEYCollectorBase::collectTableCell().

void libetonyek::KEYTable::insertCoveredCell | ( | unsigned | column,
|  | unsigned | row
| ) |  |

Referenced by libetonyek::KEYCollectorBase::collectCoveredTableCell().

void libetonyek::KEYTable::setGeometry | ( | const KEYGeometryPtr_t & | geometry | ) |

Referenced by libetonyek::KEYCollectorBase::collectTable().

void libetonyek::KEYTable::setSizes | ( | const ColumnSizes_t & | columnSizes,
|  | const RowSizes_t & | rowSizes
| ) |  |

Referenced by libetonyek::KEYCollectorBase::collectTableSizes().

## Member Data Documentation

ColumnSizes_t libetonyek::KEYTable::m_columnSizes
| private

Referenced by draw(), insertCell(), insertCoveredCell(), and setSizes().

KEYGeometryPtr_t libetonyek::KEYTable::m_geometry
| private

Referenced by draw(), and setGeometry().

RowSizes_t libetonyek::KEYTable::m_rowSizes
| private

Referenced by draw(), insertCell(), insertCoveredCell(), and setSizes().

Table_t libetonyek::KEYTable::m_table
| private

Referenced by draw(), insertCell(), insertCoveredCell(), and setSizes().

The documentation for this class was generated from the following files:

- KEYTable.h
- KEYTable.cpp